\name{rpudlWriteLMDB}
\alias{rpudlWriteLMDB}
\concept{deep learning}

\title{
Export Supported Data Sets to LMDB
}

\description{
Export \code{CIFAR} and \code{MNIST} data sets to \code{LMDB}.
}

\usage{
rpudlWriteLMDB(
    data.source,
    prefix = "rpudl",
    ...,
    log.level = 1
)
}

\arguments{
  \item{data.source}{An S3 object that inherits the class \code{rpudl.data.source}} 
  \item{prefix}{Prefix of the training and testing LMDB databases. For the default prefix
    "rpudl", the training database would be "rpudl_train_lmdb", and the testing database
    would be "rpudl_test_lmdb". The directories must not exists beforehand. They 
    will be located in the same path folder as the data set.} 
  \item{\dots}{further arguments to be passed to or from methods}
  \item{log.level}{level of the method output (0 = silent, 
        1 = basic output, 2 = detailed output)} 
}

\author{
  Chi Yau\cr
  \email{chi.yau@r-tutor.com}
}

\seealso{
rpudlCreateDataSource
}

\examples{
\dontrun{
ds <- rpudlCreateDataSource(
        data.format="mnist",
        data.dir="data/mnist"
)

rpudlWriteLMDB(ds, prefix="mnist-official-data")
}}

\keyword{misc}


