\name{rvbm.sample.train}
\docType{data}
\alias{rvbm.sample.train}
\alias{rvbm.sample.test}
\title{Example Data Sets for Variational Bayesian Multiclass Probit Regression}

\description{
	The sample data sets are for demonstration of the \code{rvbm} method.
}

\usage{
rvbm.sample.train
rvbm.sample.test
}

\format{
  There are two components in each data set:\cr
  \itemize{
    \item{X: }{Data points in a six dimensional Euclidean space. 
    The first two coordinates are generated randomly in  a 2-dimensional Euclidean space.
    The other four are noise dimensions.}
    \item{t.class: }{Classifies the data points of \code{X} into 3 different 
    categories according to the squared sum of the first two coordinates of the data points.} 
  }          
}

\note{
     The data sets are created with the R code found in the \code{vbmp} vignette.
     The only difference between \code{rvbm.sample.train} and \code{rvbm.sample.test}
     are the number of data points being generated.
}

\examples{
\dontrun{
library(rpud)

x1 <- rvbm.sample.train$X[, 1]
x2 <- rvbm.sample.train$X[, 2] 
tc <- rvbm.sample.train$t.class

plot(x1, x2, type="n", xlab="X1", ylab="X2")
points(x1[tc==1], x2[tc==1], type="p", col="blue", pch=19)
points(x1[tc==2], x2[tc==2], type="p", col="red")
points(x1[tc==3], x2[tc==3], type="p", col="green", pch=24)

}}

\keyword{datasets}


